/* ***** BEGIN LICENSE BLOCK *****
 * - Version: MPL 1.1/GPL 2.0/LGPL 2.1
 * -
 * - The contents of this file are subject to the Mozilla Public License Version
 * - 1.1 (the "License"); you may not use this file except in compliance with
 * - the License. You may obtain a copy of the License at
 * - http://www.mozilla.org/MPL/
 * -
 * - Software distributed under the License is distributed on an "AS IS" basis,
 * - WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * - for the specific language governing rights and limitations under the
 * - License.
 * -
 * - The Original Code is HONlookup.
 * -
 * - The Initial Developer of the Original Code is Thierry Raguin
 * - This plugin is Copyright (C) 2003 NetUnion SARL. All Rights Reserved.
 * -
 * - Contributor(s):
 * -
 * -   Thierry Raguin <t.raguin@netunion.com>
 * -
 * -   Based on Quick Lookup by:
 * -   Jeremy Childs <jeremyc@ssimicro.com>
 * -   Michael Stricklin <opensrc@precision-traffic.com>
 * -
 * -  Selection code by Roman Stukalov
 * -
 * - Alternatively, the contents of this file may be used under the terms of
 * - either the GNU General Public License Version 2 or later (the "GPL"), or
 * - the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
 * - in which case the provisions of the GPL or the LGPL are applicable instead
 * - of those above. If you wish to allow use of your version of this file only
 * - under the terms of either the GPL or the LGPL, and not to allow others to
 * - use your version of this file under the terms of the MPL, indicate your
 * - decision by deleting the provisions above and replace them with the notice
 * - and other provisions required by the LGPL or the GPL. If you do not delete
 * - the provisions above, a recipient may use your version of this file under
 * - the terms of any one of the MPL, the GPL or the LGPL.
 * -
 * - ***** END LICENSE BLOCK ***** */

var honlookup = new Array('honlookup-honcodehunt','honlookup-mail-honcodehunt');

function isSelection() 
{
	var disabled = "true";
	
	if (getSelection().length > 0) 
	{
		disabled = "false";
	}
	for (var i = 0; i< honlookup.length; ++i) 
	{
		document.getElementById(honlookup[i]).setAttribute("disabled", disabled);
	}
/*
   var activeP = 'true';

   if (getSelection().length > 0)
      activeP = 'false';

   for (var i=0; i<elementTags.length; i++)
      document.getElementById(elementTags[i]).setAttribute('disabled',activeP);
*/
}  

function getSelection() 
{
	var focusedWindow = document.commandDispatcher.focusedWindow;
	var selection     = focusedWindow.__proto__.getSelection.call(focusedWindow);

	return String(selection);
}

function doUrl(urlToLoad) 
{
   var browser = getBrowser();
   browser.selectedTab = browser.addTab(urlToLoad, getReferrer(document));
}

function doLookupHon(prefix) 
{
   var selection = getSelection();
   
   if (selection.length < 1)
      return;
   else
      selection = selection.replace(/\s/, "+");
   
   urlToLoad = prefix + selection;
   doUrl(urlToLoad);
}

function doLookupHonMail(prefix)
{
  var navWindow;

  if ("document" in top) 
  {
    var possibleNavigator = top.document.getElementById("main-window");
    if (possibleNavigator &&
        possibleNavigator.getAttribute("windowtype") == "navigator:browser")
      navWindow = top;
  }

  if (!navWindow) 
  {
    try 
    {
      var wm = Components.classes["@mozilla.org/appshell/window-mediator;1"]
        .getService(Components.interfaces.nsIWindowMediator);
      navWindow = wm.getMostRecentWindow("navigator:browser");
    }
    catch (ex) { }
  }

   var selection = getSelection();
   
   if (selection.length < 1)
      return;
   else
      selection = selection.replace(/\s/, "+");
   
   urlToLoad = prefix + selection;

  if (navWindow) 
  {
    if ("delayedOpenTab" in navWindow)
      navWindow.delayedOpenTab(urlToLoad);
    else if ("loadURI" in navWindow)
      navWindow.loadURI(urlToLoad);
    else
      navWindow._content.location.href = urlToLoad;
  }
  else 
  {
    window.open(urlToLoad);
  }
  
 
}